trust-store: core::trust::RequestParameters Struct Reference

trust-store 2.0.0 Provides a common implementation of a trust store to be used by trusted helpers.

Public Attributes | List of all members
core::trust::RequestParameters Struct Reference

Summarizes all parameters for processing a trust request. More...

`#include <request.h>`

Collaboration diagram for core::trust::RequestParameters:

## Public Attributes
std::shared_ptr< Agent > | agent
| The Agent implementation to dispatch a request to the user. More...
std::shared_ptr< Store > | store
| The trust store to be used for caching purposes. More...
core::trust::Uid | application_uid
| The user id under which the requesting application runs. More...
core::trust::Pid | application_pid
| The process id of the requesting application. More...
std::string | application_id
| The id of the requesting application. More...
Feature | feature
| The service-specific feature identifier. More...
std::string | description
| An extended description that should be presented to the user on prompting. More...

## Detailed Description

Summarizes all parameters for processing a trust request.

Definition at line 105 of file request.h.

## Member Data Documentation

## ◆ agent

std::shared_ptr<Agent> core::trust::RequestParameters::agent

The Agent implementation to dispatch a request to the user.

Definition at line 108 of file request.h.

## ◆ application_id

std::string core::trust::RequestParameters::application_id

The id of the requesting application.

Definition at line 116 of file request.h.

## ◆ application_pid

core::trust::Pid core::trust::RequestParameters::application_pid

The process id of the requesting application.

Definition at line 114 of file request.h.

## ◆ application_uid

core::trust::Uid core::trust::RequestParameters::application_uid

The user id under which the requesting application runs.

Definition at line 112 of file request.h.

## ◆ description

std::string core::trust::RequestParameters::description

An extended description that should be presented to the user on prompting.

Definition at line 120 of file request.h.

## ◆ feature

Feature core::trust::RequestParameters::feature

The service-specific feature identifier.

Definition at line 118 of file request.h.

## ◆ store

std::shared_ptr<Store> core::trust::RequestParameters::store

The trust store to be used for caching purposes.

Definition at line 110 of file request.h.

The documentation for this struct was generated from the following file:

- /build/trust-store-git/src/trust-store/include/core/trust/request.h